CANFDTEST(1)

NAME
canfdtest - manual page for canfdtest 2023.03-1build1

SYNOPSIS
canfdtest [options] <can-interface>

DESCRIPTION
canfdtest - Full-duplex test program (DUT and host part).

OPTIONS

-b  (enable CAN FD Bit Rate Switch)

-d  (use CAN FD frames instead of classic CAN)

-e  (use 29-bit extended frame format instead of classic 11-bit one)

-f COUNT (number of frames in flight, default: 50)

-g  (generate messages)

-i ID
    (CAN ID to use for frames to DUT (ping), default 77)

-l COUNT (test loop count)

-o ID
    (CAN ID to use for frames to host (pong), default 78)

-s SIZE
    (frame payload size in bytes)

-v  (low verbosity)

-vv (high verbosity)

-x  (ignore other frames on bus)

With the option '-g' CAN messages are generated and checked on <can-interface>, otherwise all messages received on the <can-interface> are sent back incrementing the CAN id and all data bytes. The program can be aborted with ^C.

EXAMPLES

    on DUT:

canfdtest -v can0

    on Host:

canfdtest -g -v can2